Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | List of all members
agora::rtc::IScreenCaptureSource::Control Class Referenceabstract

`#include <NGIAgoraExtensionScreenSource.h>`

Inherits agora::RefCountInterface.

## Public Member Functions
virtual int | postEvent (const char *key, const char *value)=0
virtual void | printLog (commons::LOG_LEVEL level, const char *format,...)=0
virtual void | printLog (commons::LOG_LEVEL level, const char *fromat, va_list)=0
virtual int | pushAudioFrame (const media::IAudioFrameObserver::AudioFrame &captured_frame)=0
virtual bool | timeToPushVideo ()=0
virtual int | pushVideoFrame (const agora::agora_refptr< IVideoFrame > &captured_frame)=0
virtual agora::agora_refptr< IVideoFrameMemoryPool > | getMemoryPool ()=0
virtual int | pushVideoFrame (CVPixelBufferRef pixelBuffer, int64_t timestamp_ms, uint32_t rotation)=0
virtual void | recycleVideoCache ()=0
Public Member Functions inherited from agora::RefCountInterface
virtual void | AddRef () const =0
virtual RefCountReleaseStatus | Release () const =0
virtual bool | HasOneRef () const =0

## Additional Inherited Members
Protected Member Functions inherited from agora::RefCountInterface
virtual | ~RefCountInterface ()

## Member Function Documentation

## ◆ postEvent()

virtual int agora::rtc::IScreenCaptureSource::Control::postEvent | ( | const char * | key,
|  | const char * | value )
| pure virtual

## ◆ printLog() [1/2]

virtual void agora::rtc::IScreenCaptureSource::Control::printLog | ( | commons::LOG_LEVEL | level,
|  | const char * | format,
|  |  | ... )
| pure virtual

## ◆ printLog() [2/2]

virtual void agora::rtc::IScreenCaptureSource::Control::printLog | ( | commons::LOG_LEVEL | level,
|  | const char * | fromat,
|  | va_list | )
| pure virtual

## ◆ pushAudioFrame()

virtual int agora::rtc::IScreenCaptureSource::Control::pushAudioFrame | ( | const media::IAudioFrameObserver::AudioFrame & | captured_frame | ) |
| pure virtual

## ◆ timeToPushVideo()

virtual bool agora::rtc::IScreenCaptureSource::Control::timeToPushVideo | ( |  | ) |
| pure virtual

## ◆ pushVideoFrame() [1/2]

virtual int agora::rtc::IScreenCaptureSource::Control::pushVideoFrame | ( | const agora::agora_refptr< IVideoFrame > & | captured_frame | ) |
| pure virtual

## ◆ getMemoryPool()

virtual agora::agora_refptr< IVideoFrameMemoryPool > agora::rtc::IScreenCaptureSource::Control::getMemoryPool | ( |  | ) |
| pure virtual

## ◆ pushVideoFrame() [2/2]

virtual int agora::rtc::IScreenCaptureSource::Control::pushVideoFrame | ( | CVPixelBufferRef | pixelBuffer,
|  | int64_t | timestamp_ms,
|  | uint32_t | rotation )
| pure virtual

## ◆ recycleVideoCache()

virtual void agora::rtc::IScreenCaptureSource::Control::recycleVideoCache | ( |  | ) |
| pure virtual